﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;

namespace AddNewHidden
{
    public partial class AddNew : Window
    {
        BindingList<Person> listOfPeople;
        public AddNew()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            InitializeListOfPeople();
            xamDataGrid1.DataSource = listOfPeople;
        }
      
        private void InitializeListOfPeople()
        {
            listOfPeople = new BindingList<Person>();
            //listOfPeople.Add(new Person() { ID = 1, FirstName = "Ivan", LastName = "Ivanov" });
            //listOfPeople.Add(new Person() { ID = 2, FirstName = "Peter", LastName = "Velev" });
            //listOfPeople.Add(new Person() { ID = 3, FirstName = "Petko", LastName = "Todorov" });
            //listOfPeople.Add(new Person() { ID = 4, FirstName = "Hristo", LastName = "Dimitrov" });
            //listOfPeople.Add(new Person() { ID = 5, FirstName = "Boris", LastName = "Hristov" });
        }

    }


    public class Person : INotifyPropertyChanged
    {
        private string fname;
        public string FirstName
        {
            get { return fname; }
            set
            {
                fname = value;
                OnPropertyChanged("FirstName");
            }
        }

        private string lname;
        public string LastName
        {
            get { return lname; }
            set
            {
                lname = value;
                OnPropertyChanged("LastName");
            }
        }

        private int id;
        public int ID
        {
            get { return id; }
            set
            {
                id = value;
                OnPropertyChanged("ID");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        #endregion
    }
}
